Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Categories

Neverwinter Nights: Enhanced Edition has been released! Visit nwn.beamdog.com to make an order. NWN:EE FAQ is available.
Soundtracks for BG:EE, SoD, BG2:EE, IWD:EE, PST:EE are now available in the Beamdog store.
Attention, new and old users! Please read the new rules of conduct for the forums, and we hope you enjoy your stay!

The Hitchhiker's Guide to Installing Mods on OSX

124

Comments

  • MonoCanallaMonoCanalla Member Posts: 289
    Thank you for the help. i have installed all the compatible mods in the right order, except for some NPC Mods I didn't like.

    Yes, I did add the tisunpack exactly like you say, and Amber mod already has it.

    But this takes me to a question. Let's say I re install this two mods. Could I do that since that wouldn't respect the oder? would I have to re install all the mods?

    But most important, why is it crashing when I enter the sewers?

  • AstroBryGuyAstroBryGuy Member Posts: 3,414
    The version of tisunpack included with the OSX version of Amber v4 is for PowerPCs. It won't run on Intel based Macs. You need to replace it with the one from your WeiDU download.

    As to mod install order, it depends on the specific mods themselves. Sometimes you need to install one mod before another because the second mod detects the first and changes it's install if you do. For example, BG1UB detects BG1NPC and skips certain components that conflict with BG1NPC, such as Kagain's Quest. Another would be BG2 Tweaks detecting item mods for its Spellcasting in Armor component. Sometimes a mod needs to be installed early because it overwrites files rather than editing them, so if you install it late, it may wipe out changes made by earlier mods. Sometimes you can install mod A before mod B or mod B before mod A and it's fine either way.

    In this case, it's hard to say since I have no idea what other mods you've installed, and as I said, I don't use Saerileth and Amber, so I don't really know them.

    As for the sewer crashing, I don't know. Do you see the crash on an unmodded install?

  • MonoCanallaMonoCanalla Member Posts: 289
    edited January 2015
    I installed all the mods described here and in the right order: http://forum.baldursgate.com/discussion/23726/bgii-ee-compatible-mod-list/p1

    Except for some NPC, and to mention would be irrelevant.

    I did the thing with the tisunpack and still I have the problem loading an area. I might have to start a new game. But that doesn't trouble me as much as the access to the sewers. Specially because I feel very lazy about starting again for the third time and doing again the same quests I have done recenlty. i would like to know what mod is causing this with the sewers. If i know how to fix this problem for good, I don't mind starting a new game again.

    No, I don't know if that was a problem before installing the mods. I always played the iPad version and I bought the game for Mac just to use the mods, so the first time I played was already modded. Sure, I can uninstall all the mods and pass the dungeons and try to go to the sewers, but honestly, is highly unlikely that this is a problem not related to the mods.

  • WispWisp Member Posts: 1,102
    Upload the debug file(s) of whatever mod(s) you are experiencing problems with.

    AstroBryGuyCrevsDaak
  • MonoCanallaMonoCanalla Member Posts: 289
    edited January 2015
    Wisp said:

    Upload the debug file(s) of whatever mod(s) you are experiencing problems with.

    Thanks, eh....yeah, I have no idea how to find the debug file. Is not in the respective folders. I am sorry, I guess at this point this is tedious.

    In another hand, I searched for the keyword "sewers" and it only appeared in atweaks. I uninstalled, and now I can stay in the sewers two seconds before it crashes :smile:
    Same happens when I start a new save.

    Post edited by MonoCanalla on
  • AstroBryGuyAstroBryGuy Member Posts: 3,414
    @MonoCanalla - in the game folder with the CHITIN.KEY, there should be a series of files called SETUP-[MODNAME].DEBUG (where [MODNAME] is the name of each installed mod). Those are the files with information regarding installation.

  • MonoCanallaMonoCanalla Member Posts: 289
    Ah, ok, i found that. I made a .zip because otherwise it doesnt allow to attach those files. I put Amber, Saerileth, and finally stweaks as is the prime suspect of causing the sewers crash, and despite being uninstalled, the debug is still there.

  • urdjururdjur Member Posts: 53
    I am having problems... I just got my new macbook today (OS X 10.10.3 Yosemite). I have purchased the os x BG EE version straight from Beamdog and it works perfectly. I have followed the four steps in the OP and only wish to install SCS v30, it's the only mod I want.

    The terminal came back with the "permission denied" problem as previously described on page 1. I then tried:
    1) Changing permissions on the main Baldur's Gate folder, the Resources folder and the Stratagems folder, and all their included contents, so that not only my account but also admin and anybody could r/w to them. Still permission denied.
    2) I then tried renaming setup-stratagems.tp2 in the Stratagems folder to something else, copy pasting the WeiDU program downloaded in step 2 of the OP instructions into the Stratagems folder and renameing it setup-stratagems.tp2 and then selecting this file with the Mac Weidu Launcher instead. No luck.

    I'm at a loss on what to do now :( I attach 2 screenshots and the terminal log and hope someone will take a gander at them.

    Last login: Thu Jul 9 18:10:44 on ttys000
    Stefans-MacBook:~ Stefan$ cd '/Applications/Baldur'\''s Gate - Enhanced Edition/Game Data/00777/Baldur'\''s Gate - Enhanced Edition.app/Contents/Resources/'
    Stefans-MacBook:Resources Stefan$ ./setup-stratagems
    -bash: ./setup-stratagems: Permission denied
    Stefans-MacBook:Resources Stefan$ ./setup-stratagems

  • AstroBryGuyAstroBryGuy Member Posts: 3,414
    The file you want to replace is NOT setup-stratagems.tp2. The .tp2 file contains the code to install the mod.

    You want to delete* the file "setup-stratagems" in the Resources folder. So, restore the original setup-stratagems.tp2 and then drag setup-stratagems from the Resources folder to the Trash. Then run the Mac WeiDU Launcher.

    *You could also give the file execute permission on this file from the Terminal. That would work too. But for those unfamiliar with Unix command line tools, deleting the file and letting the Mac WeiDU Launcher do it's thing is probably easiest.

    JuliusBorisov
  • urdjururdjur Member Posts: 53
    Thank you! You are a gentlemen and a scholar - that seems to have done the trick :D

    JuliusBorisov
  • HaelHael Member Posts: 3
    Hi, I'm having difficulty installing the big picture mod on mac. They don't really have a readme or explanation how one is supposed to proceed as their folder structure has an exe, and then several subfolders down there is a mac version, but no .command file and they have a file called bg2ee_install_bp.sh. the weidu smart installer doesn't pick up what I'm supposed to run and just returns errors.

    Obviously I'm supposed to rearrange files in a specific manner but I don't understand what to do.

    This is to run bp-ascension per the instructions on the sticky in the forum above

  • AstroBryGuyAstroBryGuy Member Posts: 3,414
    Hael said:

    Hi, I'm having difficulty installing the big picture mod on mac. They don't really have a readme or explanation how one is supposed to proceed as their folder structure has an exe, and then several subfolders down there is a mac version, but no .command file and they have a file called bg2ee_install_bp.sh. the weidu smart installer doesn't pick up what I'm supposed to run and just returns errors.

    Obviously I'm supposed to rearrange files in a specific manner but I don't understand what to do.

    This is to run bp-ascension per the instructions on the sticky in the forum above

    Put the folder "BP" in your Resources folder. Then, run the Mac WeiDU Launcher.

    JuliusBorisov
  • AmbaretAmbaret Member Posts: 3
    Hiya, has anyone had any luck with installing mods on OSX El Capitan? I'm trying to install (all for BG1) the BG1 NPC Mod + Sound Pack, Mini Quests and Encounters, the BG1 Tweak Pack and Unfinished Business. I've been following the procedure outlined above, but the OSX WeiDU Launcher script doesn't seem to be working (it crashes when I select a mod to install, giving the following error: "Terminal got an error: AppleEvent handler failed. (-10000)"). I'm pretty sure everything can still be installed (i.e. it's not WeiDU that's the problem), because the NPC Mod Sound Pack came with a .command file that opened up WeiDU and let it replace the necessary files, but I'm a complete novice and have no idea how to bypass the WeiDU Launcher and install the mods directly. Any help would be greatly appreciated :)

  • AmbaretAmbaret Member Posts: 3
    Ambaret said:

    Hiya, has anyone had any luck with installing mods on OSX El Capitan? I'm trying to install (all for BG1) the BG1 NPC Mod + Sound Pack, Mini Quests and Encounters, the BG1 Tweak Pack and Unfinished Business. I've been following the procedure outlined above, but the OSX WeiDU Launcher script doesn't seem to be working (it crashes when I select a mod to install, giving the following error: "Terminal got an error: AppleEvent handler failed. (-10000)"). I'm pretty sure everything can still be installed (i.e. it's not WeiDU that's the problem), because the NPC Mod Sound Pack came with a .command file that opened up WeiDU and let it replace the necessary files, but I'm a complete novice and have no idea how to bypass the WeiDU Launcher and install the mods directly. Any help would be greatly appreciated :)

    Never mind, problem solved. Putting the dialog.tlk file in the resource folder did the trick.

  • AstroBryGuyAstroBryGuy Member Posts: 3,414
    @Ambaret - what version of WeiDU are you using? That should not be necessary anymore (since a couple years ago).

  • AmbaretAmbaret Member Posts: 3
    I was using the latest one from thebigg's page (http://www.weidu.org/~thebigg/), having thrown away the ones that came packaged with the mods (thought that might solve the problem, but it didn't). Not sure why that worked, but it really was the only thing I changed between tries.

  • subtledoctorsubtledoctor Member Posts: 10,701
    I'm not sure if that download link is being updated anymore. People should really be looking here for the latest versions from Wisp and Crevsdaak:
    http://forums.pocketplane.net/index.php/board,44.0.html

    I think the latest release for which Crevsdaak has made a Mac build is v238, which has unfortunately dropped to the 2nd page of that subforum:
    http://forums.pocketplane.net/index.php/topic,29348.0.html

    elminster
  • AstroBryGuyAstroBryGuy Member Posts: 3,414
    The version on the BiggDU page (http://www.weidu.org/~thebigg/), is v238. It's up-to-date.

  • AnilisAnilis Member Posts: 3
    Hi all,

    New to the forums and registered after having spent some hours trying to get the edwin romance up and running on my Mac. I keep getting errors and am now stuck with a parsing error. Posting the log below and would really appreciate some help on getting it fixed. Not an expert at all on installing mods, illustrated by the fact that I don't understand what to do really even after checking around forums and such trying to find a solution.

    Last login: Sun Nov 22 22:21:36 on ttys000
    cd '/Users/mariaelarsson/Applications/Baldur'\''s Gate II EE.app/Contents/Resources/drive_c/Program Files/Baldur'\''s Gate II Enhanced Edition/'
    Maria-E-Larssons-MacBook-Pro:~ mariaelarsson$ cd '/Users/mariaelarsson/Applications/Baldur'\''s Gate II EE.app/Contents/Resources/drive_c/Program Files/Baldur'\''s Gate II Enhanced Edition/'
    Maria-E-Larssons-MacBook-Pro:Baldur's Gate II Enhanced Edition mariaelarsson$ ./setup-edwinromance
    [./setup-edwinromance] WeiDU version 23107
    This is a non-stable version. Unless you're sure about what you're doing, consider downgrading.
    [./setup-edwinromance] Using scripting style "BG1"
    In state 133, I expected one of these tokens:
    [0] EOF
    [2] ~~
    [3] <<<<<<<<
    [11] EXTEND_MOS
    [13] AUTO_EVAL_STRINGS
    [14] ACTION_GET_STRREF_S
    [15] PATCH_FOR_EACH
    [17] WRITE_SHORT
    [18] OUTER_TEXT_SPRINT
    [19] AUTO_TRA
    [21] REPLACE_BCS_BLOCK
    [22] RANDOM_SEED
    [23] ADD_KIT
    [26] AT_INTERACTIVE_UNINSTALL
    [29] WITH
    [30] PATCH_TRY
    [31] INNER_PATCH
    [32] LAUNCH_ACTION_FUNCTION
    [33] SET_2DA_ENTRY
    [34] REMOVE_2DA_ROW
    [35] READ_SSHORT
    [38] LOG
    [40] COPY_ALL_GAM_FILES
    [43] SILENT
    [45] REMOVE_CRE_EFFECTS
    [46] BEGIN
    [47] LOAD
    [48] ADD_MUSIC
    [50] BIFF
    [52] COMPILE_D_TO_DLG
    [53] GET_DIRECTORY_ARRAY
    [56] SAY
    [58] PRETTY_PRINT_2DA
    [59] SPRINT
    [60] PRINT
    [62] SAY_EVALUATED
    [64] USING
    [65] INNER_PATCH_FILE
    [66] ADD_STORE_ITEM
    [67] PATCH_PHP_EACH
    [68] REPLACE_TEXTUALLY
    [69] ACTION_RERAISE
    [70] UNINSTALL_ORDER
    [71] REMOVE_KNOWN_SPELL
    [72] ACTION_IF
    [74] PATCH_RERAISE
    [76] APPEND
    [77] SOURCE_BIFF
    [78] DEFINE_ACTION_MACRO
    [79] ACTION_TO_UPPER
    [80] ACTION_GET_STRREF
    [81] VERSION
    [82] SET_2DA_ENTRY_LATER
    [83] GET_OFFSET_ARRAY
    [86] ACTION_GET_STRREF_F
    [87] STRING_SET_EVALUATE
    [88] OUTER_FOR
    [90] FOR
    [91] FAIL
    [92] AT_UNINSTALL
    [93] READ_LONG
    [94] CLEAR_ARRAYS
    [96] ACTION_GET_STRREF_FS
    [97] WRITE_BYTE
    [99] PATCH_IF
    [100] SET_2DA_ENTRIES_NOW
    [101] GET_STRREF_FS
    [103] REMOVE_CRE_ITEMS
    [106] REFACTOR_D_TRIGGER
    [107] READ_STRREF_FS
    [108] APPEND_FILE_EVALUATE
    [109] COPY_EXISTING
    [110] REINCLUDE
    [111] INSERT_FILE
    [113] MOVE
    [114] PATCH_LOG
    [115] PATCH_REINCLUDE
    [116] REPLACE_CRE_ITEM
    [117] ADD_AREA_TYPE
    [119] RPAREN
    [122] COMPILE_BAF_TO_BCS
    [123] WRITE_ASCII_TERMINATED
    [124] PATCH_MATCH
    [125] INSERT_BYTES
    [126] PLUS_PLUS
    [127] EXTEND_TOP_REGEXP
    [128] READ_STRREF
    [130] ADD_PROJECTILE
    [131] OUTER_PATCH_SAVE
    [135] WRITE_EVALUATED_ASCII
    [136] COUNT_2DA_COLS
    [137] MKDIR
    [138] TO_UPPER
    [139] OUTER_SET
    [140] WARN
    [141] STRING_SET
    [143] COPY_RANDOM
    [144] SEMICOLON
    [147] GET_STRREF_F
    [148] DISABLE_FROM_KEY
    [149] AT_INTERACTIVE_EXIT
    [150] ACTION_READLN
    [151] ACTION_DEFINE_ARRAY
    [152] UNINSTALL
    [155] DECOMPILE_AND_PATCH
    [157] PATCH_FAIL
    [159] VERBOSE
    [160] DEFINE_PATCH_FUNCTION
    [161] MINUS_MINUS
    [164] READ_BYTE
    [166] ACTION_BASH_FOR
    [167] IF_SIZE_IS
    [168] UNLESS
    [170] ADD_KNOWN_SPELL
    [171] WRITE_LONG
    [173] ACTION_MATCH
    [174] REQUIRE_FILE
    [175] READ_SHORT
    [176] READ_2DA_ENTRY_FORMER
    [178] APPLY_BCS_PATCH
    [180] ACTION_FOR_EACH
    [181] CLEAR_CODES
    [182] READ_STRREF_S
    [185] PATCH_RANDOM_SEED
    [186] SET_IDS_SYMBOL_OF_INT
    [188] EXTEND_TOP
    [190] CLEAR_MEMORY
    [191] DECOMPRESS_BIFF
    [193] LANGUAGE
    [194] PATCH_GAM
    [196] IF_EVAL
    [197] WRITE_FILE
    [199] EVALUATE_BUFFER_SPECIAL
    [201] COPY
    [202] APPEND_COL_OUTER
    [203] DELETE_BYTES
    [204] GET_STRREF
    [206] DEFINE_PATCH_MACRO
    [207] IF
    [209] COPY_LARGE
    [211] EDIT_SAV_FILE
    [215] PATCH_VERBOSE
    [217] END
    [219] ALLOW_MISSING
    [220] COPY_KIT
    [222] NO_IF_EVAL_BUG
    [223] ADD_SECTYPE
    [224] ACTION_CLEAR_ARRAY
    [226] EXTEND_BOTTOM
    [228] SPRINTF
    [229] REMOVE_MEMORIZED_SPELL
    [231] IF_EXISTING
    [232] READ_2DA_ENTRIES_NOW
    [234] SNPRINT
    [235] GET_OFFSET_ARRAY2
    [236] DEFINE_ASSOCIATIVE_ARRAY
    [238] ASK_EVERY_COMPONENT
    [240] ALTER_TLK
    [242] COPY_EXISTING_REGEXP
    [243] PATCH_CLEAR_ARRAY
    [244] ADD_CRE_ITEM
    [246] REFACTOR_BAF_TRIGGER
    [248] EXTEND_BOTTOM_REGEXP
    [249] FORBID_FILE
    [250] CLEAR_IDS_MAP
    [252] COMPRESS_INTO_FILE
    [253] ALTER_TLK_LIST
    [255] MODDER
    [256] REMOVE_STORE_ITEM
    [257] MENU_STYLE
    [258] DECOMPILE_BCS_TO_BAF
    [260] APPEND_FILE
    [262] OUTER_PATCH
    [263] DECOMPRESS_INTO_FILE
    [265] AT_INTERACTIVE_NOW
    [266] AT_EXIT
    [267] TEXT_SPRINT
    [268] AT_INTERACTIVE_UNINSTALL_EXIT
    [272] WRITE_ASCII
    [274] STRING_SET_RANGE
    [275] APPEND_COL
    [276] SPACES
    [278] ACTION_TO_LOWER
    [279] READ_STRREF_F
    [280] DESCRIBE_ITEM
    [281] SET_BG2_PROFICIENCY
    [283] WHILE
    [284] ADD_SPELL
    [285] DECOMPILE_DLG_TO_D
    [286] REFACTOR_TRIGGER
    [287] CLEAR_EVERYTHING
    [288] GET_FILE_ARRAY
    [291] READ_SBYTE
    [292] AT_NOW
    [293] READ_SLONG
    [294] LOAD_TRA
    [296] QUICK_MENU
    [298] REPLACE_EVALUATE
    [299] ACTION_PHP_EACH
    [302] ADD_MAP_NOTE
    [303] PATCH_INCLUDE
    [304] BUT_ONLY_IF_IT_CHANGES
    [306] ACTION_TRY
    [308] ACTION_DEFINE_ASSOCIATIVE_ARRAY
    [310] GET_STRREF_S
    [311] INCLUDE
    [312] ADD_MEMORIZED_SPELL
    [314] PATCH_PRINT
    [315] TO_LOWER
    [318] DECOMPRESS_REPLACE_FILE
    [319] QUOTE
    [320] ALTER_TLK_RANGE
    [321] READ_ASCII
    [323] INNER_PATCH_SAVE
    [324] PATCH_READLN
    [325] DEFINE_ACTION_FUNCTION
    [326] OUTER_SPRINT
    [327] APPLY_BCS_PATCH_OR_COPY
    [328] INNER_ACTION
    [329] LAUNCH_ACTION_MACRO
    [331] INSERT_2DA_ROW
    [332] PATCH_BASH_FOR
    [336] DECOMPRESS_INTO_VAR
    [337] SCRIPT_STYLE
    [340] REBUILD_CRE_FILE
    [343] WRITE_ASCII_LIST
    [344] REMOVE_MEMORIZED_SPELLS
    [345] REPLACE
    [346] ON_DISABLE
    [347] LAUNCH_PATCH_MACRO
    [348] COMPILE
    [349] COMPRESS_REPLACE_FILE
    [350] SET
    [352] EVALUATE_BUFFER
    [353] AT_UNINSTALL_EXIT
    [357] LAUNCH_PATCH_FUNCTION
    [358] COUNT_2DA_ROWS
    [359] ADD_SCHOOL
    [364] APPEND_OUTER
    [367] CLEAR_INLINED
    [368] REPLACE_BCS_BLOCK_REGEXP
    [370] DELETE
    [371] REMOVE_CRE_ITEM
    [372] PATCH_WARN
    [373] REMOVE_KNOWN_SPELLS
    [374] ALWAYS
    [377] READ_2DA_ENTRY
    [379] COMPRESS_INTO_VAR
    [382] OUTER_WHILE
    [383] COUNT_REGEXP_INSTANCES
    [385] PATCH_SILENT
    [386] README
    [387] PATCH_DEFINE_ARRAY
    Parse error (state 133) at LPAREN

    [SETUP-EDWINROMANCE.TP2] PARSE ERROR at line 132 column 1-28
    Near Text: (
    GLR parse error

    [SETUP-EDWINROMANCE.TP2] ERROR at line 132 column 1-28
    Near Text: (
    Parsing.Parse_error
    ERROR: parsing [SETUP-EDWINROMANCE.TP2]: Parsing.Parse_error
    ERROR: problem parsing TP file [SETUP-EDWINROMANCE.TP2]: Parsing.Parse_error

    FATAL ERROR: Parsing.Parse_error

    Press ENTER to exit.

    I have the Kivan and Deheriana mod installed which works perfectly (including me installing it :p )

  • AstroBryGuyAstroBryGuy Member Posts: 3,414
    @Anilis - The version of WeiDU that the mod uses is old, v231. The Edwin Romance v2.0.6 is packaged with v236, so I would guess that you are installing an old version of the Edwin Romance mod.

    You can get the latest version of the mod at SHS: http://www.shsforums.net/files/file/1003-edwin-romance/

    Also, it appears that you are running the Windows version of BG2EE in Wine. Do you know that a native OSX version is available?

  • ScooterScooter Member Posts: 182
    Hey guys, when someone gets a chance I could use a hand. Just downloaded SoD today and want to reinstall some mods. But I'm a little confused on which resource folder to install them into. I tried throwing them in the new one that came from the Siege of Dragonspear install but when I tried installing them with mod installer tool I kept getting this message:

    Please run this program in your Infinity Engine game directory.

    FATAL ERROR: Failure("Not a game directory")

    So I copy pasted them back into the original BGEE resources folder they were in and tried again but got the same message. To be fair I haven't played the game, and thus haven't installed mods in a while so I might be doing something obviously stupid.

  • subtledoctorsubtledoctor Member Posts: 10,701
    Can't say, as I don't have SoD. I still can't wrap my head around how they are organizing it, whether as new resources grafted into BGEE or as a separate game with its own game files.

  • AstroBryGuyAstroBryGuy Member Posts: 3,414
    edited April 2016
    They moved the resources out of the app package - at least on the Beamdog version. And when I downloaded SoD from Beamdog, it was the entire game - BGEE+SoD. It may not be that way for other vendor platforms (i.e., Steam, GOG, App Store).

    So, if you downloaded BGEEv2 from Beamdog - use this folder:

    /Applications/Baldur's Gate - Enhanced Edition/Game Data/00777

    If you have SoD from Beamdog - use this folder:

    /Applications/Baldur's Gate - Siege of Dragonspear/Game Data/00806


    If you have BGEEv2 or SoD on Steam or GOG, I'm not sure how the folders are organized now.

    Post edited by AstroBryGuy on
    subtledoctor
  • johntyljohntyl Member Posts: 391
    I just tried using Mac WeiDu Launcher to install a portrait mod (because after the 2.0 update my main CHAR portrait has been reduced to a '?') and I got this:

    Last login: Wed Apr 6 18:13:46 on ttys000
    Johns-MacBook-Pro:~ Johnsama$ cd '/Users/Johnsama/Library/Application Support/Steam/SteamApps/common/Baldur'\''s Gate II Enhanced Edition/BaldursGateIIEnhancedEdition.app/Contents/Resources/'
    Johns-MacBook-Pro:Resources Johnsama$ ./setup-ISANDIR
    [./setup-ISANDIR] WeiDU version 23800

    Please run this program in your Infinity Engine game directory.

    FATAL ERROR: Failure("Not a game directory")

    Press ENTER to exit.



    Does anyone know how to fix this?

    I am using Mac, downloaded BG2:EE from Steam, and this is the first mod I'm trying to install after the patch.











  • AstroBryGuyAstroBryGuy Member Posts: 3,414
    You need to install your mods in the folder with the chitin.key file. Beamdog moved it outside the app package on their download. So, I assume it is similar on Steam.

    Probably /Users/Johnsama/Library/Application Support/Steam/SteamApps/common/Baldur'\''s Gate II Enhanced Edition/

    johntyl
  • johntyljohntyl Member Posts: 391

    You need to install your mods in the folder with the chitin.key file. Beamdog moved it outside the app package on their download. So, I assume it is similar on Steam.

    Probably /Users/Johnsama/Library/Application Support/Steam/SteamApps/common/Baldur'\''s Gate II Enhanced Edition/

    YES! Thank you very much! :)))

  • shawnleongshawnleong Member Posts: 6
    edited April 2016
    Anyone have any luck with modmerge on osx for GOG/Steam copies of BG:EE & SoD? Can't seem to run the binary. Double clicking defaults to Textedit and "open Resources\modmerge-osx" in terminal doesn't seem to have any effect.

    Edit: Solved - Figured it was to do with the file permissions.
    For anyone having modmerge opening with TextEdit or note that the document type is "TextEdit Document" under Get Info. Just do the following steps
    1) Open Terminal (Applications/Utilities/Terminal.app)
    2) Type the following but do not press enter yet => "chmod +x "
    3) Note the extra space after "+x "
    4) Now drag in modmerge-osx into the Terminal window, the full path should appear
    5) Press Enter
    6) On Right Click > Get Info, the document type should reflect "Unix Executable File" and it should run.

    Post edited by shawnleong on
  • AstroBryGuyAstroBryGuy Member Posts: 3,414
    Updated the OP with information for BGEE/BG2EE v2 and SoD mod installs.

  • johntyljohntyl Member Posts: 391
    Hi guys, I followed all the instructions and I also applied @subtledoctor's SCS EE2 hotfix to the OSX-stratagems-v30 and when I tried to install SCS with the Mac WeiDU Launcher, this error came up:

    "ERROR Installing [Initialise mod (all other components require this)], rolling back to previous state
    Will uninstall 0 files for [STRATAGEMS/SETUP-STRATAGEMS.TP2] component 1000.
    Uninstalled 0 files for [STRATAGEMS/SETUP-STRATAGEMS.TP2] component 1000.
    ERROR: Sys_error("stratagems/sfo/install_sfo.tpa: No such file or directory")
    Detailed error information can be found in the file SETUP-STRATAGEMS.DEBUG . For help troubleshooting installation problems, go to the Sword Coast Stratagems forum at forums.gibberlings3.net.
    Using Language [English]

    Install Component [Initialise mod (all other components require this)]?
    [I]nstall, or [N]ot Install or [Q]uit? "

    Can anyone help me please? Thank you!!

  • subtledoctorsubtledoctor Member Posts: 10,701
    It's looking for that install_sfo.tpa file. Check whether it is there in the /stratagems/sfo directory.

    If not, download a fresh copy of SCS and look to see if the file is there in the right place. Then apply the hotfix, then install.

    NOTE: Do not copy the folders in the hotfix into /stratagems. Dig down into the hotfix folder structure, dig down into the SCS folder structure to the same place, and copy the FILE over. Only move the files, not folders.

    johntyl
Sign In or Register to comment.